require 'test_helper'

class V1::InstitutionControllerTest < ActionController::TestCase
  tests V1::InstitutionsController
  include Devise::TestHelpers

  test 'should get index' do
    skip('Unsolved issue: ArgumentError: wrong number of arguments (2 for 0)')
  end

  test 'should user show institution' do
    ufpr = institutions(:ufpr)
    get :show, id: ufpr.id
    assert_response :ok
  end

  test 'should user post institution to create and return :unauthorized' do
    post :create, institution: {name: 'my institution',
                                description: 'testing institution',
                                address: 'politecnico',
                                city: 'Curitiba',
                                country: 'Brasil'
                                }
    skip assert_response :unauthorized
  end

  test 'should user post institution to create and return :created code' do
    auth_request users(:jack)
    post :create, institution: {name: 'my institution',
                                description: 'testing institution',
                                address: 'politecnico',
                                city: 'Curitiba',
                                country: 'Brasil'
                                }
    skip assert_response :created
  end

  test 'should user put institution to update and return :ok' do
    auth_request users(:jack)
    ufpr = institutions(:ufpr)
    put :update, id: ufpr.id , institution: { description: 'testing institution'}
    assert_response :ok
  end

  test 'should user put institution to update and return :unauthorized' do
    ufpr = institutions(:ufpr)
    put :update, id: ufpr.id , institution: { description: 'testing institution'}
    assert_response :unauthorized
  end

  test 'should user delete institution to destroy and return :ok' do
    auth_request users(:jack)
    ufpr = institutions(:ufpr)
    delete :destroy, id: ufpr.id
    assert_response :ok
  end

  test 'should user delete institution to destroy and return :unauthorized' do
    ufpr = institutions(:ufpr)
    delete :destroy, id: ufpr.id
    assert_response :unauthorized
  end

  test 'should user show institution users' do
    skip('Unsolved issue: ArgumentError: wrong number of arguments (2 for 0)')
  end

end
