require 'test_helper'

class SearchServiceTest < ActiveSupport::TestCase

  test 'fetch with all search params' do
    params = {
      :page => 1,
      :results_per_page => 10,
      :sort => 'score', 
      :query => 'teste', 
      :search_class => 'LearningObject', 
      :tags => ['Biologia', 'Ensino Fundamental'],
      :type => 'Vídeo', 
      :source => 'UFPR institution'
    }

    LearningObject.reindex
    LearningObject.searchkick_index.refresh

    service = SearchService.new(Search.new(params))
    service.stub :validate_object, 'published' do
      assert_equal [learning_objects(:search)], service.fetch
    end
  end

end